/*******************************************************************************
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *   http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 ******************************************************************************/
package javax.tools.diagnostics.image;

/**
 * Represents a symbol defined in an ImageModule
 *
 */
public interface ImageSymbol {

	/**
	 * Get the address of this symbol in the image.
	 * @return the address of this symbol in the image
	 */
	ImagePointer getAddress();
	
	/**
	 * Get the name of the symbol.
	 * @return the name of the symbol
	 */
	String getName();
	
}
