/*******************************************************************************
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *   http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 ******************************************************************************/
package org.apache.kato.jvmti.javaruntime.model;

/**
 * Holds a reference to an object without itself being a JObject. 
 * Is used as Field values to prevent unconstrained recursion.
 * 
 */
public class DeferredReference {
	private long pos;
	
	public DeferredReference(long pos) {
		this.pos = pos;
	}
	
	/**
	 * @return position of referenced object on disk.
	 */
	public long getPos() {
		return this.pos;
	}
}
