/*******************************************************************************
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *   http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 ******************************************************************************/

package org.apache.kato.jvmti.javaruntime.model;

import javax.tools.diagnostics.image.DataUnavailable;
import javax.tools.diagnostics.runtime.java.JavaVariable;

public class JLocalVariable implements JValueHolder,JavaVariable{

	public Object value=null;
	public int slot=0;
	private JLocation location;
	
	
	public JLocalVariable() {
		
	}
	@Override
	public void setValue(Object o) {
		value=o;
	}

	@Override
	public int getLength() {
		JLocalVariableTableEntry entry=location.method.getEntry(slot, location);
		if(entry==null) return 0;
		return entry.length;
	}

	@Override
	public String getName() throws DataUnavailable {
		
		JLocalVariableTableEntry entry=location.method.getEntry(slot, location);
		if(entry==null) return null;
		return entry.getName();
	}

	@Override
	public String getSignature() {
		JLocalVariableTableEntry entry=location.method.getEntry(slot, location);
		if(entry==null) return null;
		return entry.sig;
	}

	@Override
	public int getSlot() {
		
		return slot;
	}

	@Override
	public int getStart() {
		JLocalVariableTableEntry entry=location.method.getEntry(slot, location);
		if(entry==null) return 0;
		return entry.start;
	}

	@Override
	public Object getValue() {
		return value;
	}
	public void setLocation(JLocation loc) {
		this.location=loc;
		
	}

}
