/*******************************************************************************
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *   http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 ******************************************************************************/

package org.apache.kato.jvmti.javaruntime.model;

import javax.tools.diagnostics.image.CorruptDataException;
import javax.tools.diagnostics.image.DataUnavailable;
import javax.tools.diagnostics.image.ImagePointer;
import javax.tools.diagnostics.runtime.java.JavaLocation;
import javax.tools.diagnostics.runtime.java.JavaMethod;

public class JLocation implements JavaLocation {
	public JMethod method=null;
	public String filename=null;
	public int linenumber=0;
	private int compilationLevel = 0;
	private ImagePointer p;
	public JLocation() {
		
	}
	
	@Override
	public ImagePointer getAddress() throws CorruptDataException {
		return p;
	}
	
	public void setAddress(long addr){
		p = new SimpleImagePointer(addr);
	}

	@Override
	public int getCompilationLevel() throws CorruptDataException {
		return compilationLevel;
	}

	public void setCompilationLevel(int level)  {
		this.compilationLevel = level;
	}
	@Override
	public String getFilename() throws DataUnavailable,
			CorruptDataException {
		
		return filename;
	}

	@Override
	public int getLineNumber() throws DataUnavailable, CorruptDataException {
		return linenumber;
	}

	@Override
	public JavaMethod getMethod() throws CorruptDataException {
		return method;
	}
	
}