/*******************************************************************************
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *   http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 ******************************************************************************/package org.apache.kato.hprof.datalayer;

import org.apache.kato.common.BasicType;

/**
 * Class to provide the mapping of a java type in a heap record
 * to its actual size on disk
 * 
 *
 */
public class HProfDataTypeSizes implements BasicType {

	private int idSize=0;
	
	public HProfDataTypeSizes(int idSize) {
		this.idSize=idSize;
	}
	
	public int getLengthFromType(short elementType) {
		int elementLength=0;
		switch(elementType) {
		case 1: elementLength=idSize; break;  // array
		case OBJECT: elementLength=idSize; break;  // object
		case BOOLEAN: elementLength=1; break;  // boolean
		case CHAR: elementLength=2; break;  // char
		case FLOAT: elementLength=4; break;  // float
		case DOUBLE: elementLength=8; break;  // double
		case BYTE: elementLength=1; break;  // byte
		case SHORT: elementLength=2; break;  // short
		case INT: elementLength=4; break;  // int
		case LONG: elementLength=8; break;  // long
		}
		return elementLength;
	}
}
