/*******************************************************************************
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *   http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 ******************************************************************************/
package org.apache.kato.hprof.datalayer;

public enum HProfRecordTypes {

	unknown,utf8,load_class,unload_class,frame,trace,alloc_sites,
	heap_summary,start_thread,end_thread,heap_dump,
	heap_dump_segment,heap_dump_end,cpu_samples,control_settings;
	
	
	
    
	
	public static HProfRecordTypes getRecordType(short tag) {
	
		switch(tag) {
		case 0x01 : return utf8;
		case 0x02 : return load_class;
		case 0x03 : return unload_class;
		case 0x04 : return frame;
		case 0x05 : return trace;
		case 0x06 : return alloc_sites;
		case 0x07 : return heap_summary;
		case 0x0A : return start_thread;
		case 0x0B : return end_thread;
		case 0x0C : return heap_dump;
		case 0x1C : return heap_dump_segment;
		case 0x2C : return heap_dump_end;
		case 0x0E : return control_settings;
		
		default: return unknown;
		}
		
	}
	
	
}
