/*******************************************************************************
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *   http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 ******************************************************************************/
package org.apache.kato.tck.harness;

import java.io.BufferedReader;
import java.io.IOException;
import java.io.InputStream;
import java.io.InputStreamReader;
import java.io.PrintStream;

public class TextStreamRedirector extends Thread {

	private InputStream in = null;
	private TCKReporter out = null;
	private String prefix="";

	public TextStreamRedirector(InputStream in, PrintStream out) {
		this.in=in;
		this.out=new TCKReporter(out);
		
	}
	
	public TextStreamRedirector(InputStream in, TCKReporter reporter) {
		this.in=in;
		this.out=reporter;
		
	}

	public void run() {

		InputStreamReader  isr=new  InputStreamReader(in);
		BufferedReader br=new BufferedReader(isr);

		while(true) {
			try {
				String data=br.readLine();
				if(data==null) break;
				out.report(prefix+data);
			} catch(IOException e) {
				e.printStackTrace();
				break;
			}
		}

		try {
			br.close();
		} catch (IOException e) {
			e.printStackTrace();
		}
	}

	public String getPrefix() {
		return prefix;
	}

	public void setPrefix(String prefix) {
		this.prefix = prefix;
	}
}


