/*******************************************************************************
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *   http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 ******************************************************************************/
package org.apache.kato.tck.harness.scenario;

/**
 * A static class used by the scenerio setup process to find the current setup handler
 * 
 * 
 *
 */
public class ScenarioAnchor {

	private static IScenarioSetupHandler handler=null;

	public static IScenarioSetupHandler getHandler() {
		return handler;
	}
	
	public static void setHandler(IScenarioSetupHandler newHandler) {
		
		handler=newHandler;
	}
	
	/**
	 * Anchors the provided object in a static list so that
	 * it cannot be garbage collected.
	 * 
	 * The objects configuration methods are executed according to 
	 * the contract described by IScenarioElement
	 * 
	 * @param o object to configure
	 */
	public void register(ScenarioElement o) {

		
		handler.execute(o);
	}

}
