/*******************************************************************************
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *   http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 ******************************************************************************/
package test.apache.kato.tck.harness.unittests;

import org.apache.kato.tck.harness.MapCollector;

import junit.framework.TestCase;


public class TestMapCollector extends TestCase {

	
	public void testEnvVarSplitReturnsValue() {
		
		String[] parts=MapCollector.splitEnvVar("");
		assertNotNull(parts);
		
		
	}
	public void testEnvVarSplitFailsOnNullValue() {
		
		try {
		String[] parts=MapCollector.splitEnvVar(null);
		fail("NPE expected");
		} catch(NullPointerException npe) {
			
		}
		
		
	}
	public void testEnvVarSplitReturnsSomething() {
		
		String[] parts=MapCollector.splitEnvVar("");
		assertTrue(parts.length>0);
		
		
	}
	public void testEnvVarSplitSimpleKey() {
		
		String[] parts=MapCollector.splitEnvVar("A=B");
		assertTrue(parts[0].equals("A"));
		
	}
	public void testEnvVarSplitSimpleKeyOnly() {
		
		String[] parts=MapCollector.splitEnvVar("A");
		assertTrue(parts[0].equals("A"));
		
	}
	public void testEnvVarSplitSimpleKeyPlusOnly() {
		
		String[] parts=MapCollector.splitEnvVar("A=");
		assertTrue(parts[0].equals("A"));
		
	}
	public void testEnvVarSplitSimpleValue() {
		
		String[] parts=MapCollector.splitEnvVar("A=B");
		assertTrue(parts[1].equals("B"));
		
	}
	
	public void testEnvVarSplitSimpleValueOnce() {
		
		String[] parts=MapCollector.splitEnvVar("A=B=C");
		assertTrue(parts[1].equals("B=C"));
		
	}
	public void testEnvVarSplitSimpleKeyOnlyValue() {
		
		String[] parts=MapCollector.splitEnvVar("A");
		assertNull(parts[1]);
		
	}
	public void testEnvVarSplitSimpleKeyPlusOnlyValue() {
		
		String[] parts=MapCollector.splitEnvVar("A=");
		assertEquals(parts[1],"");
		
	}
}
