/*******************************************************************************
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *   http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 ******************************************************************************/
package org.apache.kato.tck.scenario142.javaruntime;

import junit.framework.Test;
import junit.framework.TestSuite;

public class AllTests {

	public static Test suite() {
		TestSuite suite = new TestSuite(
				"Test for org.apache.kato.tck.tests.javaruntime");
		//$JUnit-BEGIN$
		suite.addTestSuite(TestJavaThreadInspection.class);
		suite.addTestSuite(TestJavaField_getInt.class);
		suite.addTestSuite(TestJavaField_getDouble.class);
		suite.addTestSuite(TestJavaField_getDeclaringClass.class);
		suite.addTestSuite(TestJavaField_getString.class);
		suite.addTestSuite(TestJavaField_getName.class);
		suite.addTestSuite(TestJavaRuntime_getCompiledMethods.class);
		suite.addTestSuite(TestJavaHeap_getName.class);
		suite.addTestSuite(TestJavaThread_getName.class);
		suite.addTestSuite(TestJavaReferences.class);
		suite.addTestSuite(TestJavaObject_getReferences.class);
		suite.addTestSuite(TestJavaField_equals.class);
		suite.addTestSuite(TestJavaObject_arraycopy.class);
		suite.addTestSuite(TestJavaRuntime.class);
		suite.addTestSuite(TestJavaClass_getName.class);
		suite.addTestSuite(TestJavaClass_uninitialized.class);
		suite.addTestSuite(TestJavaRuntime_getHeapRoots.class);
		suite.addTestSuite(TestJavaField_getByte.class);
		suite.addTestSuite(TestJavaField_getModifiers.class);
		suite.addTestSuite(TestJavaField_getShort.class);
		suite.addTestSuite(TestJavaField_getSignature.class);
		suite.addTestSuite(TestJavaField_getFloat.class);
		suite.addTestSuite(TestJavaObject_getDeclaredFields_getName.class);
		suite.addTestSuite(TestJavaField_get.class);
		suite.addTestSuite(TestJavaStackFrame_getHeapRoots.class);
		suite.addTestSuite(TestJavaMonitor_ObjectMonitors.class);
		suite.addTestSuite(TestJavaClassLoader_getJavaObject.class);
		suite.addTestSuite(TestFactoryRegistry.class);
		suite.addTestSuite(TestJavaRuntimeThreads.class);
		suite.addTestSuite(TestJavaField_getBoolean.class);
		suite.addTestSuite(TestJavaField_getChar.class);
		suite.addTestSuite(TestJavaMethod_getName.class);
		suite.addTestSuite(TestJavaField_getLong.class);
		suite.addTestSuite(TestJavaThread_getStackFrames.class);
		//$JUnit-END$
		return suite;
	}

}
