/*******************************************************************************
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *   http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 ******************************************************************************/
package org.apache.kato.tck.scenario142.javaruntime;

import java.util.Iterator;

import javax.tools.diagnostics.image.CorruptData;
import javax.tools.diagnostics.image.CorruptDataException;
import javax.tools.diagnostics.runtime.java.JavaRuntime;
import javax.tools.diagnostics.runtime.java.JavaThread;

import org.apache.kato.tck.harness.TCKJavaRuntimeTestcase;
import org.apache.kato.tck.scenario142.javaruntime.SetupJavaThread_getName;


public class TestJavaThread_getName extends TCKJavaRuntimeTestcase {
	
	
	public void testJavaThread()
	{
		boolean foundThread = false;

		JavaRuntime runtime=getJavaRuntime();

		Iterator threads = runtime.getThreads().iterator();

		while (threads.hasNext()) {
			Object next = threads.next();

			if (next instanceof CorruptData) {
				System.err.println("returned CorruptData `" + next + "'");
				break;
			}

			JavaThread thread = (JavaThread) next;

			try {
				if (0==SetupJavaThread_getName.threadName.compareTo(thread.getName())){
					foundThread=true;
				}
			} catch (CorruptDataException e) {
				assertNotNull(e.getCorruptData());
				// TODO Auto-generated catch block
				e.printStackTrace();
			}
		}
		assertTrue(foundThread);
	}
}
