/*******************************************************************************
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *   http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 ******************************************************************************/
package org.apache.kato.tests.junit;

import java.util.Iterator;

import javax.tools.diagnostics.image.ImagePointer;
import javax.tools.diagnostics.image.ImageSymbol;


public class ImageSymbolTest extends AbstractImageTestcase
{
	private ImageSymbol _symbol;
	
	public  ImageSymbol defaultImageSymbol()
	{
		Iterator symbols = defaultImageModule().getSymbols().iterator();
		if(symbols.hasNext()) {
			return (ImageSymbol) symbols.next();
		} else {		
			return null;
		}
	}
	
	protected void setUp() throws Exception
	{
		_symbol = defaultImageSymbol();
		super.setUp();
	}

	/**
	 * Test method for 'javax.tools.diagnostics.image.ImageSymbol.getAddress()'
	 * Ensures that the address is non-null
	 */
	public void testGetAddress()
	{
		ImagePointer address = _symbol.getAddress();
		assertNotNull(address);
		assertTrue(address.getAddress() != 0);
	}

	/**
	 * Test method for 'javax.tools.diagnostics.image.ImageSymbol.getName()'
	 * Ensures that the name is non-null and non-empty
	 */
	public void testGetName()
	{
		String name = _symbol.getName();
		assertNotNull(name);
		assertTrue(name.length() > 0);
	}
}
