/*******************************************************************************
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *   http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 ******************************************************************************/
package org.apache.kato.katoview.commands;

import java.util.Vector;

import org.apache.kato.katoview.Output;
import org.apache.kato.katoview.commands.infocommands.InfoClassCommand;
import org.apache.kato.katoview.commands.infocommands.InfoHeapCommand;
import org.apache.kato.katoview.commands.infocommands.InfoJitmCommand;
import org.apache.kato.katoview.commands.infocommands.InfoLockCommand;
import org.apache.kato.katoview.commands.infocommands.InfoMmapCommand;
import org.apache.kato.katoview.commands.infocommands.InfoProcCommand;
import org.apache.kato.katoview.commands.infocommands.InfoPropertyCommand;
import org.apache.kato.katoview.commands.infocommands.InfoSymCommand;
import org.apache.kato.katoview.commands.infocommands.InfoSystemCommand;
import org.apache.kato.katoview.commands.infocommands.InfoThreadCommand;


public class InfoCommand extends Command{
	
	public InfoCommand(Output o){
		super(o, "info", "", "");
		
		child_commands = new Vector();
		child_commands.add(new InfoThreadCommand(o));
		child_commands.add(new InfoSystemCommand(o));
		child_commands.add(new InfoClassCommand(o));
		child_commands.add(new InfoProcCommand(o));
		child_commands.add(new InfoJitmCommand(o));
		child_commands.add(new InfoLockCommand(o));
		child_commands.add(new InfoSymCommand(o));
		child_commands.add(new InfoMmapCommand(o));
		child_commands.add(new InfoHeapCommand(o));
		child_commands.add(new InfoPropertyCommand(o));
	}
}
