/*******************************************************************************
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *   http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 ******************************************************************************/
package org.apache.kato.katoview.commands;

import java.util.HashMap;
import java.util.Stack;

import javax.tools.diagnostics.image.Image;

import org.apache.kato.katoview.Output;


public class MinusCommand extends Command{
	
	public MinusCommand(Output o){
		super(o, "-", "displays the previous section of memory in hexdump-like format",
				"parameters: none\n\n" +
				"The - command is used in conjunction with the hexdump command " +
				"to allow easy scrolling backwards through memory. It repeats " +
				"the previous hexdump command starting from a position " +
				"before the previous one."
				);
		child_commands = null;
	}
	
	public void doCommand(Stack args, Image loadedImage, HashMap properties){
		doScrollCommand(loadedImage, properties, false);
	}
}
